Package Details: cadence-claudia 0.9.1-2

Git Clone URL: https://aur.archlinux.org/cadence-claudia.git (read-only, click to copy)
Package Base: cadence-claudia
Description: JACK toolbox for audio production. (With Claudia)
Upstream URL: https://kxstudio.linuxaudio.org/Applications:Cadence
Licenses: GPL2
Conflicts: cadence
Provides: cadence
Submitter: Prism019
Maintainer: Depau
Last Packager: Depau
Votes: 3
Popularity: 0.006409
First Submitted: 2019-09-26 22:02
Last Updated: 2020-11-23 15:44

Dependencies (11)

Required by (1)

Sources (2)

Pinned Comments

Depau commented on 2020-11-23 15:47

If you flag a package for absolutely no meaningful reason whatsoever it means I have to push a new pkgrel release for no reason which changes absolutely nothing.

Every user will have an update, they will have to rebuild it and irreversibly increase the Universe entropy (and electricity bills) just for kicks.

Don't. Please.

Latest Comments

muncrief commented on 2021-04-18 21:31

After an extended break I discovered that claudia no longer ran because of dbus errors. I fixed the problem by installing jack2-dbus and python2-pyxdg, so these should probably be added to the dependencies.

samueldy commented on 2021-03-11 04:30

Edit: Nevermind. I hadn't closed the old version of Cadence from the notification area icon after cleanbuilding it; it works now.

Hi,

I'm having trouble using Cadence to start Jack. I haven't used it for a long time, but just now whenever I try to start it up it says --jackdbus not available. I'm pretty sure I've installed all the necessary packages:

$ pacman -Qs jack
local/a2jmidid 9-3 (pro-audio)
    A daemon for exposing legacy ALSA sequencer applications in JACK MIDI system.
local/cadence-claudia 0.9.1-2
    JACK toolbox for audio production. (With Claudia)
local/jack2 1.9.17-2
    The JACK low-latency audio server
local/jack2-dbus 1.9.17-2
    The JACK low-latency audio server (dbus integration)
local/jack_capture 0.9.73-8 (pro-audio)
    Simple command line tool to record JACK audio output to a file
local/jalv 1.6.6-1 (pro-audio)
    A simple but fully featured LV2 host for Jack
local/ladish 1-2
    Session management system for JACK.
local/laditools 1.1.0-1
    Utilities to improve integration and workflow with JACK and LASH.
local/lib32-jack 0.125.0-3
    A low-latency audio server (32-bit)
local/pulseaudio-jack 14.2-2
    Jack support for PulseAudio
local/qjackctl 0.9.1-1 (pro-audio)
    A Qt front-end for the JACK low-latency audio server

I also just cleanbuilt the latest version of cadence-claudia. Do you know what's going on?

Thanks!

Depau commented on 2020-11-23 15:47

If you flag a package for absolutely no meaningful reason whatsoever it means I have to push a new pkgrel release for no reason which changes absolutely nothing.

Every user will have an update, they will have to rebuild it and irreversibly increase the Universe entropy (and electricity bills) just for kicks.

Don't. Please.

Depau commented on 2020-11-23 15:42

Seems bad that I have to remember to do this

Yes you have to remember to rebuild dependencies when things don't work.

I can't currently test the build. I'll push a pkgrel update to remove the flag, if it needs changes don't flag it and let me know here, thanks.

davef commented on 2020-11-22 20:21

My flag on this package may have been premature, it looks like the crash was a result of me not rebuilding qt5-styleplugins when qt5 was updated in September. (Seems bad that I have to remember to do this)

EoleDev commented on 2020-07-07 12:36

Hi,

To build this package you need to add the line :

#include <QPainterPath>

In the file : c++/widgets/pixmapdial.cpp line 25

vegas commented on 2020-06-08 05:08

Hello! Unfortunately, yay was unable to install this package (Arch + XFCE4). He's writing:

../widgets/pixmapdial.cpp:231:26: error: aggregate ‘QPainterPath ballPath’ has incomplete type and cannot be defined 231 | QPainterPath ballPath; | ^~~~~~~~ ../widgets/pixmapdial.cpp:278:26: error: aggregate ‘QPainterPath ballPath’ has incomplete type and cannot be defined 278 | QPainterPath ballPath; | ^~~~~~~~ make[1]: [Makefile:63: ../widgets/pixmapdial.o] Error 1 make[1]: Leaving directory '/home/vetal/.cache/yay/cadence-claudia/src/cadence-0.9.0/c++/xycontroller' make: [Makefile:34: xycontroller] Error 2 ==> ERROR: A failure occurred in build(). Aborting... Error making: cadence-claudia